libtomcrypt1_1.18.2-1_i386.deb


Advertisement

Description

libtomcrypt1 - public domain open source cryptographic toolkit

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libtomcrypt1_1.18.2-1_i386.deb
Package name libtomcrypt1
Package version 1.18.2
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://libtom.net/
License -
Maintainer Michael Stapelberg <stapelberg@debian.org>
Download size 393.56 KB
Installed size 1002.00 KB
LibTomCrypt is a well documented, public domain open source cryptographic
toolkit written in C. It supports lots of block ciphers (Blowfish, Twofish,
AES, XTEA, ...), chaining modes (ECB, CBC, OFB, CFB, CTR, ...), hash functions
(MD5, SHA-1, SHA-256, RIPE-MD, ...), HMAC mechanisms, pseudo-random number
generators and public key algorithms. It has several optimizations for the
i386, x86_64 and ppc32 architectures.

Alternatives

Package Version Architecture Repository
libtomcrypt1_1.18.2-1_amd64.deb 1.18.2 amd64 Debian Main
libtomcrypt1 - - -

Requires

Name Value
libc6 >= 2.4
libgmp10 -
libtommath1 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libtomcrypt1_1.18.2-1_i386.deb
Source Package libtomcrypt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtomcrypt1 deb package:
    # sudo apt-get install libtomcrypt1

Files

Path
/usr/lib/i386-linux-gnu/libtomcrypt.so.1
/usr/lib/i386-linux-gnu/libtomcrypt.so.1.0.1
/usr/share/doc/libtomcrypt1/changelog.Debian.gz
/usr/share/doc/libtomcrypt1/changelog.gz
/usr/share/doc/libtomcrypt1/copyright

Changelog

2018-07-11 - Michael Stapelberg <stapelberg@debian.org>
libtomcrypt (1.18.2-1) unstable; urgency=medium
* New upstream version 1.18.2, containing fixes for
CVE-2018-12437
CVE-2018-0739
(Closes: #901626)
* debian/docs: README → README.md, remove TODO (Closes: #903334)
2018-01-22 - Michael Stapelberg <stapelberg@debian.org>
libtomcrypt (1.18.1-1) unstable; urgency=medium
* New upstream version 1.18.1
2017-10-10 - Michael Stapelberg <stapelberg@debian.org>
libtomcrypt (1.18.0-1) unstable; urgency=medium
* Convert and move upstream signing key
* Update debian/watch for new upstream location
* Update upstream signing-key to new maintainer’s key
* New upstream version 1.18.0
* Drop debian/patches (all applied upstream)
* Set V=1 for verbose builds
* Build with PREFIX=/usr
* SONAME changed from 0 to 1
* Convert debian/copyright to DEP-5
* Enable all hardening
* Bump Standards-Version to 4.1.1 (no changes necessary)
* Enable parallel build
2016-12-18 - Michael Stapelberg <stapelberg@debian.org>
libtomcrypt (1.17-9) unstable; urgency=medium
* Change priority from extra to optional as per policy (closes: #848036)
* Update Vcs-* tags to secure URIs
2016-09-13 - Michael Stapelberg <stapelberg@debian.org>
libtomcrypt (1.17-8) unstable; urgency=high
* Add debian/patches/CVE-2016-6129.patch, backport of upstream’s
https://github.com/libtom/libtomcrypt/commit/5eb9743410 to fix
CVE-2016-6129, a bleichenbacher signature attack on RSA.
(Closes: #837042)
2015-06-28 - Michael Stapelberg <stapelberg@debian.org>
libtomcrypt (1.17-7) unstable; urgency=medium
* Update website to libtom.net (closes: #785580)
* s/crypthographic/cryptographic/g (Closes: #763678)
* debian/patches/fix-latex-here.patch: fix build with newer LaTeX
(Thanks Martin Michlmayr) (Closes: #790321)
* Use ${misc:Pre-Depends} instead of multiarch-support directly
* Bump Standards-Version to 3.9.6 (no changes necessary)
2014-09-29 - Michael Stapelberg <stapelberg@debian.org>
libtomcrypt (1.17-6) unstable; urgency=medium
* Add Build-Dependency on libtool-bin (Closes: #761769)
* Add “s” to “architectures” in package description (Closes: #755755)
2014-01-04 - Michael Stapelberg <stapelberg@debian.org>
libtomcrypt (1.17-5) unstable; urgency=low
* add patches:
- deterministic-latex.patch (Closes: #734109)
2014-01-02 - Michael Stapelberg <stapelberg@debian.org>
libtomcrypt (1.17-4) unstable; urgency=low
* Acknowledge previous two NMUs.
* Update Homepage URL to libtom.org (Closes: #732779)
* Put packaging into git on collab-maint
* Remove obsolete DM-Upload-Allowed field from debian/control
* Email change: Michael Stapelberg -> stapelberg@debian.org
* Use 3.0 (quilt) package format
* add patches:
- fix-clean-target.patch
- add-pkgconfig-file.patch
- dont-build-testprof.patch
- verbose-build-logs.patch
- respect-ldflags.patch
- x32-fixes.patch (Closes: #732780)
* Use debhelper 9 and dh(1)
* (re-)build documentation
* Fix libtomcrypt-dev package description
* Add debian/watch file and debian/upstream-signing-key.pgp
* Add doc-base file
* Bump standards-version to 3.9.5.0 (no changes necessary)
* Convert to multi-arch
* Enable hardening
2011-06-26 - Luk Claes <luk@debian.org>
libtomcrypt (1.17-3.2) unstable; urgency=low
* Non-maintainer upload.
* Don't ship .la files (Closes: #622552).

See Also

Package Description
libtoml-parser-perl_0.91-1_all.deb simple toml parser
libtoml-perl_0.97-1_all.deb Perl module for reading and writing TOML files
libtommath-dev_1.1.0-3_i386.deb multiple-precision integer library [development files]
libtommath-docs_1.1.0-3_all.deb multiple-precision integer library [documentation]
libtommath1_1.1.0-3_i386.deb multiple-precision integer library [runtime]
libtomoyotools3_2.5.0-20170102-4_i386.deb lightweight Linux Mandatory Access Control system - library
libtonezone-dev_2.11.1-3_i386.deb tonezone library (development)
libtonezone2.0_2.11.1-3_i386.deb tonezone library (runtime)
libtool-bin_2.4.6-9_i386.deb Generic library support script (libtool binary)
libtool-doc_2.4.6-9_all.deb Generic library support script
libtool_2.4.6-9_all.deb Generic library support script
libtoolkit-perl_0.0.2-2_all.deb Keep your handy modules organized
libtools-analyzer-clojure_0.6.9-1_all.deb analyzer for host agnostic Clojure code
libtools-analyzer-jvm-clojure_0.7.1-3_all.deb analyzer for Clojure code providing additional jvm-specific passes
libtools-cli-clojure_0.3.5-2_all.deb command line argument parser for Clojure
Advertisement
Advertisement